plugins {
    id 'com.android.application'
    id 'org.jetbrains.kotlin.android'
}
apply plugin: 'kotlin-android-extensions'
apply plugin: 'kotlin-kapt'
kapt {
    arguments {
        arg("AROUTER_MODULE_NAME", project.getName())
        // 是否生成路由文档，"enable"：生成文档，其他字符串不生成路由文档
        arg("AROUTER_GENERATE_DOC", "enable")
    }
}
android {
    compileSdkVersion 30

    defaultConfig {
        applicationId "com.cooleshow.student"
        minSdkVersion 21
        targetSdkVersion 30
        versionCode 1
        versionName "1.0"

        ndk {
            abiFilters "armeabi-v7a", "arm64-v8a"
        }
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        manifestPlaceholders = [
                qqappid: "1110018403"
        ]
    }

    signingConfigs {
        release {
            v1SigningEnabled true
            v2SigningEnabled true
            storeFile file("../cooleshow.jks")
            //签名文件
            storePassword "cooleshow"
            keyAlias "cooleshow"
            keyPassword "cooleshow"  //签名密码
        }
    }

    buildTypes {
        release {
            minifyEnabled false
            signingConfig signingConfigs.release
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
            buildConfigField "String", "BASE_H5_URL", RELEASE_BASE_URL_H5
        }

        debug {
            minifyEnabled false
            signingConfig signingConfigs.release
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
            buildConfigField "String", "BASE_H5_URL", TEST_BASE_URL_H5
        }
    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = '1.8'
    }
    buildFeatures {
        viewBinding = true
    }


    repositories {
        flatDir {
            dirs 'libs'
        }

    }
}

dependencies {
    api fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'androidx.core:core-ktx:1.6.0'
    implementation 'androidx.appcompat:appcompat:1.3.0'
    implementation 'com.google.android.material:material:1.4.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.1.3'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.4.0'


    implementation project(path: ':BaseLibrary')
    api project(path: ':usercenter')
    implementation project(path: ':rong_im:kit')
    implementation project(path: ':rong_im:common_im_ui')
    implementation project(path: ':live_teaching')
    implementation "com.alibaba:arouter-api:$rootProject.ext.android.arouter_api_version"
    kapt "com.alibaba:arouter-compiler:$rootProject.ext.android.arouter_api_version"

//    api(name: 'openDefault-10.10.0', ext: 'aar')

}